Bug 1299107 - [RFE] provide or separate parmetis
[RFE] provide or separate parmetis
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: scotch (Show other bugs)
epel7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 19:09 EST by Justin King
Modified: 2016-02-10 06:13 EST (History)
3 users (show)

See Also:
Fixed In Version: scotch-6.0.4-9.fc23 scotch-6.0.4-9.fc22 scotch-6.0.4-9.el6 scotch-6.0.4-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 15:51:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin King 2016-01-15 19:09:17 EST
Description of problem:

After this bug report <https://bugzilla.redhat.com/show_bug.cgi?id=1286243> parmetis.h was included in the ptscotch-*-devel RPMs. ParMETIS itself is its own library. It is used by applications such as PETSc, DOLFIN, and Trilinos. That header does not define all the functions. Thus it is not a substitute, but a subset. Putting an incomplete parmetis.h may cause problems for end users who are expecting a later parmetis.h in their include path to be used while building.

Ideally a separate parmetis package, using the full library and not the internal one, should be created and ptscotch should be linked against it.

Another solution would be not using a prefix or suffix in parmetis.h and using the real parmetis.h file.

We had been maintaining our own parmetis package internally and this update caught us off guard by introducing a file conflict with a package that does not actually provide parmetis.

We would submit our package, but due to the guidelines this process would take longer than is ideal. We would first have to get our package into Fedora/EPEL and then wait for this package to be patched.

Version-Release number of selected component (if applicable):

6.0.4-7
Comment 1 Sandro Mani 2016-01-18 08:35:52 EST
Uh sorry about this. parmetis has a nonfree license, so it cannot get into Fedora/EPEL. So yes, I agree that the best solution would be to provide a ptscotch-{openmpi/mpich}-devel-parmetis package.

CC Dave Love to hear his opinion also.
Comment 2 Dave Love 2016-01-19 10:56:05 EST
I don't have a strong opinion on a separate package, though I don't think packaging of free components should be affected by proprietary ones.  I think the ptscotch header should stay there even if it's repackaged, and will conflict if an actual parmetis package installs its header there.

I'm puzzled, though.  I spotted the problem with the header not being installed while packaging either trilinos or petsc (I can't remember), and I thought ptscotch supplied enough for those.  What is missing that's necessary?  I wonder if it could be added, specifically for those applications, or they could be converted to scotch, which has been reported to be better in at least some circumstances.

[I'd welcome help/advice about trilinos and petsc packaging.  I haven't had time to look at the changes in the current petsc that broke the packaging of the previous version, and I realized I hadn't put trilinos in copr but I'll eventually get it built for el6 under https://loveshack.fedorapeople.org/copr/]
Comment 3 Fedora Update System 2016-01-23 06:56:37 EST
scotch-6.0.4-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14df2fe585
Comment 4 Fedora Update System 2016-01-23 06:56:38 EST
scotch-6.0.4-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4703005ed
Comment 5 Fedora Update System 2016-01-23 06:56:40 EST
scotch-6.0.4-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14df2fe585
Comment 6 Fedora Update System 2016-01-23 06:56:42 EST
scotch-6.0.4-9.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6bb5492c23
Comment 7 Fedora Update System 2016-01-23 06:56:46 EST
scotch-6.0.4-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7c5e72d42
Comment 8 Fedora Update System 2016-01-23 22:53:38 EST
scotch-6.0.4-9.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6bb5492c23
Comment 9 Fedora Update System 2016-01-23 23:22:33 EST
scotch-6.0.4-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14df2fe585
Comment 10 Fedora Update System 2016-01-23 23:50:22 EST
scotch-6.0.4-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4703005ed
Comment 11 Fedora Update System 2016-01-23 23:50:32 EST
scotch-6.0.4-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7c5e72d42
Comment 12 Fedora Update System 2016-02-03 15:51:24 EST
scotch-6.0.4-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-03 16:51:28 EST
scotch-6.0.4-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-02-10 06:03:23 EST
scotch-6.0.4-9.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-10 06:13:57 EST
scotch-6.0.4-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.